//[passport](../../../index.md)/[com.yandex.auth](../index.md)/[ConfigData](index.md)

# ConfigData

[passport]\
open class [ConfigData](index.md) : Serializable

## Types

| Name | Summary |
|---|---|
| [Service](-service/index.md) | [passport]<br>enum [Service](-service/index.md) |

## Functions

| Name | Summary |
|---|---|
| [from](from.md) | [passport]<br>@Nullable<br>open fun [from](from.md)(@Nullablebundle: Bundle): [ConfigData](index.md) |
| [toLoginProperties](to-login-properties.md) | [passport]<br>@NonNull<br>open fun [toLoginProperties](to-login-properties.md)(isAdditionOnlyRequired: Boolean): LoginProperties |
| [toProperties](to-properties.md) | [passport]<br>@Nullable<br>open fun [toProperties](to-properties.md)(): Properties |
